/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws;

import javax.xml.namespace.QName;

/**
 * @author chamerling - eBM WebSourcing
 * 
 */
public class SoapConstants {

    public static final String NAMESPACE_URI = "http://www.w3.org/2003/05/soap-envelope";

    public static final String PREFIX = "soap";

    public static final String ACTOR = "actor";

    public static final String MUST_UNDERSTAND = "mustUnderstand";

    public static final String CONTENT_TYPE_HEADER = "application/soap+xml";

    public static final QName ENVELOPE_QNAME = new QName(NAMESPACE_URI,
            "Envelope", PREFIX);

    public static final QName HEADER_QNAME = new QName(NAMESPACE_URI, "Header",
            PREFIX);

    public static final QName BODY_QNAME = new QName(NAMESPACE_URI, "Body",
            PREFIX);

    public static final QName FAULT_QNAME = new QName(NAMESPACE_URI, "Fault",
            PREFIX);

    public static final QName CODE_QNAME = new QName(NAMESPACE_URI, "Code",
            PREFIX);

    public static final QName SUBCODE_QNAME = new QName(NAMESPACE_URI,
            "Subcode", PREFIX);

    public static final QName VALUE_QNAME = new QName(NAMESPACE_URI, "Value",
            PREFIX);

    public static final QName REASON_QNAME = new QName(NAMESPACE_URI, "Reason",
            PREFIX);

    public static final QName TEXT_QNAME = new QName(NAMESPACE_URI, "Text",
            PREFIX);

    public static final QName NODE_QNAME = new QName(NAMESPACE_URI, "Node",
            PREFIX);

    public static final QName ROLE_QNAME = new QName(NAMESPACE_URI, "Role",
            PREFIX);

    public static final QName DETAIL_QNAME = new QName(NAMESPACE_URI, "Detail",
            PREFIX);

    public static final QName SENDER_QNAME = new QName(NAMESPACE_URI, "Sender",
            PREFIX);

    public static final QName RECEIVER_QNAME = new QName(NAMESPACE_URI,
            "Receiver", PREFIX);
}
