/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification;

import org.ow2.petals.ws.fault.InvalidProducerPropertiesExpressionFault;

/**
 * A filter based on producer properties.
 *
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 *
 */
public class ProducerPropertiesFilter extends Filter {

    /**
     * Xpath expression used to evaluate properties
     */
    protected String xpathExpression;

    /**
     * Creates a new instance of {@link ProducerPropertiesFilter}
     *
     * @param expression
     * @param dialect
     * @throws InvalidProducerPropertiesExpressionFault
     */
    public ProducerPropertiesFilter(String expression, String dialect)
            throws InvalidProducerPropertiesExpressionFault {
        if (!dialect.equals(WsnHelper.XPATH_DIALECT_URI)) {
            throw new InvalidProducerPropertiesExpressionFault(
                    "Invalid dialect : " + dialect);
        }

        this.xpathExpression = expression;
    }

    /*
     * (non-Javadoc)
     *
     * @see org.objectweb.petals.ws.notification.Filter#accept(org.objectweb.petals.ws.notification.NotificationMessage)
     */
    @Override
    public boolean accept(NotificationMessage message) {
        // TODO
        // try {
        // ResourcePropertyCollection props = _resource
        // .getPropertyCollection();
        // Element wsrpDoc = props.getResourcePropertyDocument();
        // return XPathUtils.isMatch(wsrpDoc, xpathExpression);
        // } catch (Throwable error) {
        // LoggingUtils.logError(_resource.getLog(), error);
        // return false;
        // }
        return true;
    }
}
