/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification.handlers.filter;

import javax.xml.namespace.QName;

import org.ow2.petals.ws.fault.WsnFault;
import org.ow2.petals.ws.notification.Filter;
import org.ow2.petals.ws.notification.ProducerPropertiesFilter;
import org.ow2.petals.ws.notification.WsnConstants;
import org.ow2.petals.ws.notification.WsnHelper;

/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 *
 */
public class ProducerPropertiesFilterHandler implements FilterHandler {

    /*
     * (non-Javadoc)
     *
     * @see org.objectweb.petals.ws.notification.handlers.filter.FilterHandler#accept(javax.xml.namespace.QName,
     *      java.lang.String)
     */
    public boolean accept(QName filterName, String filterDialect) {
        return (filterName.equals(WsnConstants.PRODUCER_PROPERTIES_QNAME) && filterDialect
                .equals(WsnHelper.XPATH_DIALECT_URI));
    }

    /*
     * (non-Javadoc)
     *
     * @see org.objectweb.petals.ws.notification.handlers.filter.FilterHandler#createNewInstance(javax.xml.namespace.QName,
     *      java.lang.String, java.lang.String)
     */
    public Filter createNewInstance(QName filterName, String filterDialect,
            String data) throws WsnFault {
        return new ProducerPropertiesFilter(data, filterDialect);
    }

    /*
     * (non-Javadoc)
     * @see org.objectweb.petals.ws.notification.handlers.filter.FilterHandler#getHandlerName()
     */
    public QName getHandlerName() {
        return WsnConstants.PRODUCER_PROPERTIES_QNAME;
    }
}
